package com.jxml.quick.util.qjml2qiml;
import com.jxml.quick.model.qjml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;

/**
 * Extracts QJML data.
 */
public class QCAttributes extends OCMpeerSupport
{
	/**
	 * User-provided code to perform the conversion.
	 */
	public void cvt(Object param)
		throws SAXException, IOException
	{
		QMAttributes dm=(QMAttributes)dataModel;

		startElement("childElement");

		startElement("accessClass");
		addStringContent("com.jxml.quick.access.QMALAccess");
		endElement("accessClass");

		addStringAttribute("tagName","_attributes");
		startElement("elementDefinition");

		QMTargetFactory tf=new QMTargetFactory();
		tf.text="com.jxml.quick.tf.QMALTF";
		doCvt(tf,new ArrayList()); // cvt data
		doCvt(dm.getAtts(),""); // cvt attributes

		endElement("elementDefinition");

		endElement("childElement");
	}
}
